<?xml version='1.0' encoding="UTF-8" ?>
<!--
****************************************************************
AHPDFXML to XSL-FO Stylesheet
Module: Main control.
Copyright © 2014-2014 Antenna House, Inc. All rights reserved.
Antenna House is a trademark of Antenna House, Inc.
URL    : http://www.antennahouse.com/
E-mail : info@antennahouse.com
****************************************************************
-->
<xsl:stylesheet version="2.0" 
 xmlns:fo="http://www.w3.org/1999/XSL/Format" 
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:xs="http://www.w3.org/2001/XMLSchema"
 xmlns:axf="http://www.antennahouse.com/names/XSL/Extensions"
 xmlns:ahf="http://www.antennahouse.com/names/XSLT/Functions/Document"
 xmlns:ahp="http://www.antennahouse.com/names/PDF/AHPDFXML"
 exclude-result-prefixes="ahf" 
>
    
    <!-- 
     function:	root matching template
     param:		none
     return:	fo:root
     note:		none
     -->
    <xsl:template match="/">
        <!--xsl:result-document encoding="UTF-8" byte-order-mark="no" href="style_dump.xml">
            <xsl:copy-of select="$glStyleDef"/>
        </xsl:result-document-->
        
        <!--フィルターパラメータをチェック-->
        <xsl:if test="$glHasFilter and not($glHasValidFilterParam)">
            <xsl:call-template name="warningContinue">
                <xsl:with-param name="prmMes" select="ahf:replace($stMes122,('%filter'),($pFilter))"/>
            </xsl:call-template>
        </xsl:if>
        
    	<fo:root>
    	    <xsl:copy-of select="ahf:getStyleByName('standard-text')"/>            
            <!-- Generate XSL-FO layoutmaster set -->
            <xsl:call-template name="genLayoutMasterSet"/>
            
            <!-- Process document main contents -->
            <xsl:apply-templates select="$glDocumentDoc/ahp:document"/>
            
    	</fo:root>
    </xsl:template>

</xsl:stylesheet>
